<?php

namespace App\Classes\Modules\Milestones\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;
use App\Models\Milestone;

class AchievementObject implements DataTransferObject
{
    /** @var Milestone */
    private $milestone;

    /** @var array */
    private $rewardIds;

    /**
     * AchievementObject constructor.
     * @param Milestone $milestone
     * @param array $reward
     */
    public function __construct(Milestone $milestone, array $rewardIds)
    {
        $this->milestone = $milestone;
        $this->rewardIds = $rewardIds;
    }

    /**
     * @return Milestone
     */
    public function getMilestone(): Milestone
    {
        return $this->milestone;
    }

    /**
     * @return array
     */
    public function getRewardIds(): array
    {
        return $this->rewardIds;
    }

}
